<?
require'../config.php';
$align='left';
$title='Настройки чата';
aut();
head();
levels(9);
who_add(0,'enter');

switch($mod){
default:
if ($_GET['i']==1)echo '<b>Изменения сохранены.</b><br/>';
if ($_GET['i']==2)echo '<b>Ошибка. Сообщите администрации</b><br />';


echo '<br />&#187; <a href="sets?mod=general">Общее</a><br/>';

echo '&#187; <a href="sets?mod=ogran">Ограничения</a><br/>';
echo '&#187; <a href="sets?mod=files">Файлы</a><br/>';
echo '&#187; <a href="sets?mod=forum">Форум</a><br/>';
echo '&#187; <a href="sets?mod=suic">Суицид</a><br/>';
echo '&#187; <a href="sets?mod=group">Группы</a><br/>';
###echo '&#187; <a href="sets?mod=foo">Файлообменник</a><br/>';###
echo '&#187; <a href="sets?mod=bank">Перевод/Банк</a><br/>';
echo '&#187; <a href="sets?mod=notify">Оповещения</a><br/>';
echo '&#187; <a href="sets?mod=levels">Названия статусов</a><br/>';
###echo '&#187; <a href="sets?mod=smile">Личные смайлы</a><br/>';###
echo '&#187; <a href="sets?mod=logoin">Логотип на главной</a><br/>';
echo '&#187; <a href="sets?mod=smiles">Управление смайлами</a><br/>';




break;

case 'general':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=passedit&amp;'.SID.'" method="post">';

echo 'Временной сдвиг (час.):<br /><input name="timesdvig" value="'.$set['timesdvig'].'" emptyok="false"/><br />';
echo 'Юзер считается онлайн (сек.):<br /><input name="time_aut" value="'.$set['time_aut'].'" emptyok="false"/><br />';

echo 'Приветствие:<br /><input name="headi" value="'.$set['head'].'" emptyok="false"/><br />';
echo 'Антиреклама:<br /><input name="antir" value="'.$set['antir'].'" emptyok="false"/><br />';

echo 'Основная тема:<br/>';
echo '<select name="style">
<option value="'.$set['style'].'">'.$set['style'].'</option>';
$d=opendir(H."style");

while(($e=readdir($d))!==false){
if ($e=='.'||$e=='..'||$e==".htaccess"||$e==".php"||$e==".Thumbs.db"||$e=="Thumbs.db") continue;
$la = $la + 1;
if($la>$c-1 and $la<$c+1000){
$e1 = strtr($e, array ('.css' => ''));
if (substr_count($e, '.css')!=0){
echo '<option value="'.$e1.'">'.$e1.'</option>';
}

}
}
closedir($d);
echo '</select><br />';

echo 'Регистрация в чате:<br/>
<select name="reg">';
if($set['reg'] == 0)echo '<option value="0">Закрыта</option>';
else if($set['reg'] == 1)echo '<option value="1">Открыта</option>';
else if($set['reg'] == 2)echo '<option value="2">По одобрению</option>';
echo '<option value="0">Закрыта</option>
<option value="1">Открыта</option>
<option value="2">По одобрению</option>
</select><br/>';

echo 'Регистрация на русском:<br/>
<select name="rus">';
if($set['rus'] == 0)echo '<option value="0">Запретить</option>';
else if($set['rus'] == 1)echo '<option value="1">Разрешить</option>';
echo '<option value="0">Запретить</option>
<option value="1">Разрешить</option>
</select><br/>';

/*echo 'Авто-рега:<br/>
<select name="avtorega">';
if($set['avtorega'] == 0)echo '<option value="0">Отключена</option>';
else if($set['avtorega'] == 1)echo '<option value="1">Включена</option>';
echo '<option value="0">Отключена</option>
<option value="1">Включена</option>
</select><br/>';*/

echo 'Чтение привата (level):<br /><input name="privat" value="'.$set['privat'].'" emptyok="false"/> 0 - никто не видит!<br />';

echo 'Текст в прихожей:<br/>';
echo '<select name="alignpr">';
if($set['alignpr'] == 'center'){
echo '<option value="center">По центру</option>';
echo '<option value="left">Слева</option>';
echo '<option value="right">Справа</option>';
} else if($set['alignpr'] == 'left'){
echo '<option value="left">Слева</option>';
echo '<option value="right">Справа</option>';
echo '<option value="center">По центру</option>';
} else if($set['alignpr'] == 'right'){
echo '<option value="right">Справа</option>';
echo '<option value="left">Слева</option>';
echo '<option value="center">По центру</option>';
}
echo "</select><br/>";

echo 'Имя сайта (для подписи мыла):<br /><input name="name" value="'.$set['name'].'" emptyok="false"/><br />';

echo 'Вывод Личного в анкете:<br /><input name="size_lich" value="'.$set['size_lich'].'" emptyok="false"/> симв<br />';

echo 'Цена обьявы:<br /><input name="objavs_rur" value="'.$set['objavs_rur'].'" emptyok="false"/><br />';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="timesdvig" value="$timesdvig"/>
<postfield name="time_aut" value="$time_aut"/>
<postfield name="headi" value="$headi"/>
<postfield name="antir" value="$antir"/>
<postfield name="reg" value="$reg"/>
<postfield name="rus" value="$rus"/>
<postfield name="avtorega" value="$avtorega"/>
<postfield name="privat" value="$privat"/>
<postfield name="size_lich" value="$size_lich"/>
<postfield name="style" value="$style"/>
<postfield name="alignpr" value="$alignpr"/>
<postfield name="objavs_rur" value="$objavs_rur"/>
<postfield name="name" value="$name"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$timesdvig= check($_POST['timesdvig']);
$time_aut= check($_POST['time_aut']);
$headi= check($_POST['headi']);
$antir= check($_POST['antir']);
$reg= check($_POST['reg']);
$rus= check($_POST['rus']);
$avtorega= 0;
$privat= check($_POST['privat']);
$size_lich= check($_POST['size_lich']);
$style= check($_POST['style']);
$alignpr= check($_POST['alignpr']);
$objavs_rur= check($_POST['objavs_rur']);
$name= check($_POST['name']);

if($timesdvig != $set['timesdvig']){ $me .= ' <b>Временной сдвиг (час.):</b> '.$timesdvig.'<br />';}
if($time_aut != $set['time_aut']){ $me .= ' <b>Юзер считается онлайн (сек.):</b> '.$time_aut.'<br />';}
if($headi != $set['headi']){ $me .= ' <b>Заголовок главной:</b>'.$headi.'<br />';}
if($antir != $set['antir']){ $me .= ' <b>Антиреклама:</b>'.$antir.'<br />';}
if($reg != $set['reg']){ $me .= ' <b>Регистрация в чате:</b>'.$reg.'<br />';}
if($rus != $set['rus']){ $me .= ' <b>Регистрация на русском:</b>'.$rus.'<br />';}
////if($avtorega != $set['avtorega']){ $me .= ' <b>Авторега</b>'.$avtorega.'<br />';}
if($privat != $set['privat']){ $me .= ' <b>Чтение привата (level):</b>'.$privat.'<br />';}
if($size_lich != $set['size_lich']){ $me .= ' <b>Вывод Личного в анкете:</b>'.$size_lich.'<br />';}
if($style != $set['style']){ $me .= ' <b>Основная тема:</b>'.$style.'<br />';}
if($alignpr != $set['alignpr']){ $me .= ' <b>Текст в прихожей:</b>'.$alignpr.'<br />';}
///if($objavs_rur != $set['objavs_rur']){ $me .= ' <b>Цена обьявы:</b>'.$objavs_rur.'<br />';}
if($name != $set['name']){ $me .= ' <b>Имя сайта (для подписи мыла):</b>'.$name.'<br />';}
if($me != ''){
	$messs = ''.$user['user'].' сменил(а) настройки в разделе Настройки чата>>Общее:<br />'.$me.'';
	$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('edit_admin','$messs','$time')");
}

if($db->sql_query('UPDATE `setting` SET `timesdvig` = "'.$timesdvig.'", `time_aut` = "'.$time_aut.'", `head` = "'.$headi.'", `antir` = "'.$antir.'", `reg` = "'.$reg.'", `rus` = "'.$rus.'", `avtorega` = "'.$avtorega.'", `privat` = "'.$privat.'", `size_lich` = "'.$size_lich.'", `style` = "'.$style.'", `alignpr` = "'.$alignpr.'", `objavs_rur` = "'.$objavs_rur.'", `name` = "'.$name.'" WHERE `ids` = "1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}

break;

// Приватность
case 'ogran':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Писать в приват с:<br /><input name="posts_pr" value="'.$set['posts_pr'].'" emptyok="false"/> постов<br />';

echo 'Голосовать за фото с:<br /><input name="posts_vph" value="'.$set['posts_vph'].'" emptyok="false"/> постов<br />';

echo 'Голосовать за юзера с:<br /><input name="posts_vus" value="'.$set['posts_vus'].'" emptyok="false"/> постов<br />';

echo 'Писать в дневниках:<br /><input name="post_diaries" value="'.$set['post_diaries'].'" emptyok="false"/> постов<br/>';

echo 'Менять ник с:<br /><input name="posts_nik" value="'.$set['posts_nik'].'" emptyok="false"/> постов<br />';
echo 'Секунд между вызовом модеров в комнатах:<br /><input name="room_spam" value="'.$set['room_spam'].'" emptyok="false"/> сек<br/>';

echo 'Секунд между записками:<br /><input name="flyd_privat" value="'.$set['flyd_privat'].'" emptyok="false"/> сек<br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="posts_pr" value="$posts_pr"/>
<postfield name="posts_vph" value="$posts_vph"/>
<postfield name="posts_vus" value="$posts_vus"/>
<postfield name="posts_nik" value="$posts_nik"/>
<postfield name="post_diaries" value="$post_diaries"/>
<postfield name="room_spam" value="$room_spam"/>
<postfield name="flyd_privat" value="$flyd_privat"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$posts_pr= check(intval($_POST['posts_pr']));
$posts_vph= check(intval($_POST['posts_vph']));
$posts_vus= check(intval($_POST['posts_vus']));
$posts_nik= check(intval($_POST['posts_nik']));
$post_diaries= check(intval($_POST['post_diaries']));
$room_spam= check(intval($_POST['room_spam']));
$flyd_privat= check(intval($_POST['flyd_privat']));

if($posts_pr != $set['posts_pr']){ $me .= ' <b>Писать в приват с:</b>'.$posts_pr.' постов<br />';}
if($posts_vph != $set['posts_vph']){ $me .= ' <b>Голосовать за фото с:</b>'.$posts_vph.' постов<br />';}
if($posts_vus != $set['posts_vus']){ $me .= ' <b>Голосовать за юзера с:</b>'.$posts_vus.' постов<br />';}
if($posts_nik!= $set['posts_nik']){ $me .= ' <b>Менять ник с::</b>'.$posts_nik.' постов<br />';}
if($room_spam!= $set['room_spam']){ $me .= ' <b>Секунд между вызовом модеров в комнатах::</b>'.$room_spam.' сек<br/>';}
if($me != ''){
	$messs = ''.$user['user'].' сменил(а) настройки в разделе Настройки чата>>Ограничения:<br/>'.$me.'';
	$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('edit_admin','$messs','$time')");
}

if($db->sql_query('UPDATE `setting` SET `posts_pr` = "'.$posts_pr.'", `posts_vph` = "'.$posts_vph.'", `posts_vus` = "'.$posts_vus.'", `posts_nik` = "'.$posts_nik.'", `post_diaries` = "'.$post_diaries.'", `room_spam` = "'.$room_spam.'",`flyd_privat` = "'.$flyd_privat.'"  WHERE `ids` = "1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}

break;

case 'smile':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Кол-во Лич.смайлов:<br /><input name="smile" value="" emptyok="false"/><br />';

echo 'Размер Кб:<br /><input name="smile_kb" value="" emptyok="false"/><br />';

echo 'Разрешение:<br /><input name="smile_wr" value="" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="posts_pr" value="$posts_pr"/>
<postfield name="posts_vph" value="$posts_vph"/>
<postfield name="posts_vus" value="$posts_vus"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}

}
break;


case 'files':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<b>Фото в анкете</b><br />';

echo 'Макс. вес (кб.):<br /><input name="size_photo" value="'.$set['size_photo'].'" emptyok="false"/><br />';

echo 'Ширина фото (предпросмотр):<br /><input name="w_photo" value="'.$set['w_photo'].'" emptyok="false"/><br />';
echo 'Выcота фото (предпросмотр):<br /><input name="h_photo" value="'.$set['h_photo'].'" emptyok="false"/><dt></dt>';

echo '<b>Альбомы</b><br />';
echo 'Макс. вес фото (кб.):<br /><input name="size_foto" value="'.$set['size_foto'].'" emptyok="false"/><br />';
echo 'Ширина фото (навигация):<br /><input name="w_foto" value="'.$set['w_foto'].'" emptyok="false"/><br />';
echo 'Выcота фото (навигация):<br /><input name="h_foto" value="'.$set['h_foto'].'" emptyok="false"/><br />';

echo 'Ширина фото (предпросмотр):<br /><input name="w_foto2" value="'.$set['w_foto2'].'" emptyok="false"/><br />';
echo 'Выcота фото (предпросмотр):<br /><input name="h_foto2" value="'.$set['h_foto2'].'" emptyok="false"/><dt></dt>';

echo 'Превью фото (галерея):<br /><input name="set_prev" value="'.$set['set_prev'].'" emptyok="false"/><br /><dt></dt><br/>';

echo '<b>Видео/Музыка</b><br/>';
echo 'Макс. вес видео (кб.):<br /><input name="size_video" value="'.$set['size_video'].'" emptyok="false"/><br />';
echo 'Макс. вес музыки (кб.):<br /><input name="size_audio" value="'.$set['size_audio'].'" emptyok="false"/><br /><dt></dt>';

echo '<b>Вес лого на главной</b><br/>';
echo 'Макс. вес в (кб.):<br /><input name="s_in_logo" value="'.$set['s_in_logo'].'" emptyok="false"/><br /><dt></dt><br/>';



if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="size_photo" value="$size_photo"/>
<postfield name="w_photo" value="$w_photo"/>
<postfield name="h_photo" value="$h_photo"/>
<postfield name="size_foto" value="$size_foto"/>
<postfield name="w_foto" value="$w_foto"/>
<postfield name="h_foto" value="$h_foto"/>
<postfield name="w_foto2" value="$w_foto2"/>
<postfield name="h_foto2" value="$h_foto2"/>
<postfield name="size_video" value="$size_video"/>
<postfield name="size_audio" value="$size_audio"/>
<postfield name="s_in_logo" value="$s_in_logo"/>
<postfield name="set_prev" value="$set_prev"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$size_photo= intval($_POST['size_photo']);
$w_photo= intval($_POST['w_photo']);
$h_photo= intval($_POST['h_photo']);
$size_foto= intval($_POST['size_foto']);
$w_foto= intval($_POST['w_foto']);
$h_foto= intval($_POST['h_foto']);
$w_foto2= intval($_POST['w_foto2']);
$h_foto2= intval($_POST['h_foto2']);
$size_video= intval($_POST['size_video']);
$size_audio= intval($_POST['size_audio']);
$s_in_logo= intval($_POST['s_in_logo']);
$set_prev= intval($_POST['set_prev']);

if($size_photo != $set['size_photo']){ $me .= ' <b>Фото в анкете</b> Макс. вес (кб.):'.$size_photo.'<br />';}
if($w_photo != $set['w_photo']){ $me .= ' <b>Фото в анкете</b> Ширина фото (предпросмотр):'.$w_photo.'<br />';}
if($h_photo != $set['h_photo']){ $me .= ' <b>Фото в анкете</b> Выcота фото (предпросмотр):'.$h_photo.'<br />';}
if($size_foto != $set['size_foto']){ $me .= ' <b>Альбомы</b> Макс. вес фото (кб.):'.$size_foto.'<br />';}
if($w_foto != $set['w_foto']){ $me .= ' <b>Альбомы</b> Ширина фото (навигация):'.$w_foto.'<br />';}
if($h_foto != $set['h_foto']){ $me .= ' <b>Альбомы</b> Выcота фото (навигация):'.$h_foto.'<br />';}
if($w_foto2 != $set['w_foto2']){ $me .= ' <b>Альбомы</b> Ширина фото (предпросмотр):'.$w_foto2.'<br />';}
if($h_foto2 != $set['h_foto2']){ $me .= ' <b>Альбомы</b> Высота фото (предпросмотр):'.$h_foto2.'<br />';}
if($size_video != $set['size_video']){ $me .= ' <b>Видео/Музыка</b> Макс. вес видео (кб.):'.$size_video.'<br />';}
if($size_audio != $set['size_audio']){ $me .= ' <b>Видео/Музыка</b> Макс. вес музыки (кб.):'.$size_audio.'<br />';}
if($s_in_logon != $set['s_in_logo']){ $me .= ' <b>Вес лого главной</b> Макс. вес(кб.):'.$s_in_logo.'<br />';}
if($me != ''){
	$messs = ''.$user['user'].' сменил(а) настройки в разделе Настройки чата>>Файлы:<br />'.$me.'';
	$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('edit_admin','$messs','$time')");
}
			
if($db->sql_query('UPDATE `setting` SET `size_photo` = "'.$size_photo.'", `w_photo` = "'.$w_photo.'", `h_photo` = "'.$h_photo.'", `size_foto` = "'.$size_foto.'", `w_foto` = "'.$w_foto.'" , `h_foto` = "'.$h_foto.'" , `w_foto2` = "'.$w_foto2.'" , `h_foto2` = "'.$h_foto2.'" , `size_video` = "'.$size_video.'", `size_audio` = "'.$size_audio.'", `s_in_logo` = "'.$s_in_logo.'", `set_prev` = "'.$set_prev.'"  WHERE `ids` = "1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}

break;



case 'forum':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';


echo 'Выгрузка файлов (кб):<br /><input name="size_for" value="'.$set['size_for'].'" emptyok="false"/><br />';
echo 'Мак ввод текста:<br /><input name="size_vvod_for" value="'.$set['size_vvod_for'].'" emptyok="false"/><br />';
echo 'Промежуток между сообщениями(сек):<br /><input name="for_time_p" value="'.$set['for_time_p'].'" emptyok="false"/><br />';
echo 'Промежуток между темами(сек):<br /><input name="for_time_t" value="'.$set['for_time_t'].'" emptyok="false"/><br />';
echo 'Длина цитаты:<br /><input name="for_cit" value="'.$set['for_cit'].'" emptyok="false"/><br />';
echo 'Читают приват (level):<br /><input name="for_privat" value="'.$set['for_privat'].'" emptyok="false"/><br />';
echo 'Писать на форуме с:<br /><input name="otv_post_for" value="'.$set['otv_post_for'].'" emptyok="false"/><br />';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="size_for" value="$size_for"/>
<postfield name="size_vvod_for" value="$size_vvod_for"/>
<postfield name="for_time_p" value="$for_time_p"/>
<postfield name="for_time_t" value="$for_time_t"/>
<postfield name="for_cit" value="$for_cit"/>
<postfield name="for_privat" value="$for_privat"/>
<postfield name="otv_post_for" value="$otv_post_for"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$size_for= check(intval($_POST['size_for']));
$size_vvod_for= check(intval($_POST['size_vvod_for']));
$for_time_p= check(intval($_POST['for_time_p']));
$for_time_t= check(intval($_POST['for_time_t']));
$for_cit= check(intval($_POST['for_cit']));
$for_privat= check(intval($_POST['for_privat']));
$otv_post_for= check(intval($_POST['otv_post_for']));


if($db->sql_query('UPDATE `setting` SET `size_for` = "'.$size_for.'", `size_vvod_for` = "'.$size_vvod_for.'", `for_time_p` = "'.$for_time_p.'", `for_time_t` = "'.$for_time_t.'", `for_cit` = "'.$for_cit.'" , `for_privat` = "'.$for_privat.'" , `otv_post_for` = "'.$otv_post_for.'"  WHERE `ids` = 
"1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}

break;

// Оповещения
case 'notify':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';


echo '<br/>Оповещать в комнаты о пинке:<br/>
<select name="kik_notify">';
if($set['kik_notify'] == 0)echo '<option value="0">Отключено</option>';
else if($set['kik_notify'] == 1)echo '<option value="1">Включено</option>';
echo '<option value="0">Отключено</option>
<option value="1">Включено</option>
</select><br/>';

echo 'Оповещать в комнаты о бане:<br/>
<select name="ban_notify">';
if($set['ban_notify'] == 0)echo '<option value="0">Отключено</option>';
else if($set['ban_notify'] == 1)echo '<option value="1">Включено</option>';
echo '<option value="0">Отключено</option>
<option value="1">Включено</option>
</select><br/>';

echo 'Оповещать в комнаты о бане:<br/>
<select name="ban2_notify">';
if($set['ban2_notify'] == 0)echo '<option value="0">Отключено</option>';
else if($set['ban2_notify'] == 1)echo '<option value="1">Включено</option>';
echo '<option value="0">Отключено</option>
<option value="1">Включено</option>
</select><br/>';

echo 'Оповещать о регистрации:<br/>
<select name="reg_notify">';
if($set['reg_notify'] == 0)echo '<option value="0">Отключено</option>';
else if($set['reg_notify'] == 1)echo '<option value="1">Включено</option>';
echo '<option value="0">Отключено</option>
<option value="1">Включено</option>
</select><br/>';


echo 'Оповещать о смене топика:<br/>
<select name="topic_notify">';
if($set['topic_notify'] == 0)echo '<option value="0">Отключено</option>';
else if($set['topic_notify'] == 1)echo '<option value="1">Включено</option>';
echo '<option value="0">Отключено</option>
<option value="1">Включено</option>
</select><br/>';



if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<postfield name="kik_notify" value="$kik_notify"/>
<postfield name="ban_notify" value="$ban_notify"/>
<postfield name="ban2_notify" value="$ban2_notify"/>
<postfield name="reg_notify" value="$reg_notify"/>
<postfield name="topic_notify" value="$topic_notify"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$nf1= check($_POST['kik_notify']);
$nf2= check($_POST['ban_notify']);
$nf3= check($_POST['ban2_notify']);
$nf4= check($_POST['reg_notify']);
$nf5= check($_POST['topic_notify']);

if(mysql_query('UPDATE `setting` SET `kik_notify` = "'.$nf1.'", `ban_notify` = "'.$nf2.'", `ban2_notify` = "'.$nf3.'", `reg_notify` = "'.$nf4.'", `topic_notify` = "'.$nf5.'"  WHERE `ids` = "1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}

break;


// Настройки  Банка
case 'bank':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<b>Банк</b><br />';
echo 'Курс обменника:<br /><input name="kurs_bank_ob" value="'.$set['kurs_bank_ob'].'" emptyok="false"/><dt></dt>';
echo '<b>Перевод Постов</b><br />';
echo 'Коммисия:<br /><input name="kom_p_posts" value="'.$set['kom_p_posts'].'" emptyok="false"/>%<br />';
echo 'Мин. сумма перевода:<br /><input name="min_p_posts" value="'.$set['min_p_posts'].'" emptyok="false"/><br />';
echo 'Макс. сумма перевода:<br /><input name="max_p_posts" value="'.$set['max_p_posts'].'" emptyok="false"/><dt></dt>';
echo '<b>Перевод Денег</b><br />';
echo 'Коммисия:<br /><input name="kom_p_rur" value="'.$set['kom_p_rur'].'" emptyok="false"/><br />';
echo 'Мин. сумма перевода:<br /><input name="min_p_rur" value="'.$set['min_p_rur'].'" emptyok="false"/><br />';
echo 'Макс. сумма перевода:<br /><input name="max_p_rur" value="'.$set['max_p_rur'].'" emptyok="false"/><br />';
if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="kurs_bank_ob" value="$kurs_bank_ob"/>
<postfield name="kom_p_posts" value="$kom_p_posts"/>
<postfield name="min_p_posts" value="$min_p_posts"/>
<postfield name="max_p_posts" value="$max_p_posts"/>
<postfield name="kom_p_rur" value="$kom_p_rur"/>
<postfield name="min_p_rur" value="$min_p_rur"/>
<postfield name="max_p_rur" value="$max_p_rur"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$kurs_bank_ob= check(intval($_POST['kurs_bank_ob']));
$kom_p_posts= check(intval($_POST['kom_p_posts']));
$min_p_posts= check(intval($_POST['min_p_posts']));
$max_p_posts= check(intval($_POST['max_p_posts']));
$kom_p_rur= check(intval($_POST['kom_p_rur']));
$min_p_rur= check(intval($_POST['min_p_rur']));
$max_p_rur= check(intval($_POST['max_p_rur']));

if($db->sql_query('UPDATE `setting` SET `kurs_bank_ob` = "'.$kurs_bank_ob.'", `kom_p_posts` = "'.$kom_p_posts.'", `min_p_posts` = "'.$min_p_posts.'", `max_p_posts` = "'.$max_p_posts.'", `kom_p_rur` = "'.$kom_p_rur.'" , `min_p_rur` = "'.$min_p_rur.'" , `max_p_rur` = "'.$max_p_rur.'"  WHERE `ids` = "1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}

break;



case 'levels':

if (empty($act)){
$lev = $db->sql_query("select level,name from levels");

while($a=$db->sql_fetchrow($lev)) {
echo '<a href="sets?act=edit&amp;mod='.$mod.'&amp;level='.$a['level'].'&amp;'.SID.'">'.$a['level'].'. '.$a['name'].'</a><br/>';
}
}else if ($act=='edit'){
$level= check($_GET['level']);
$a=$db->sql_fetchrow($db->sql_query("select * from levels where level = '$level'"));
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edits&amp;level='.$a['level'].'&amp;'.SID.'" method="post">';

if ($ver!='wml')echo '<input name="name" value="'.$a['name'].'" emptyok="false"/><br />';
else echo '<input name="name'.$ref.'" value="'.$a['name'].'" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="name" value="$name'.$ref.'"/>
</go></anchor><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br />';
}

}else if ($act=='edits'){
$level= check($_GET['level']);
$name= check($_POST['name']);
if(!$db->sql_query('UPDATE `levels` SET `name` = "'.$name.'"  WHERE `level` = "'.$level.'"'))
{header ('Location: sets?i=2&'.SID);  exit;}
header ('Location: sets?i=1&mod='.$mod.'&'.SID);  exit;


}


break;

case 'foo':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Маркер<br/>
<select name="marker">';
if($set['marker'] == 0)echo '<option value="0">Отключен</option>';
else if($set['marker'] == 1)echo '<option value="1">Включен</option>';
echo '<option value="0">Отключен</option>
<option value="1">Включен</option></select><br/>';

echo 'Папка с файлами:<br/><input name="path" value="'.$set['path'].'" emptyok="false"/><br/>';

echo 'Текст маркера:<br/><input name="text_marker" value="'.$set['text_marker'].'" emptyok="false"/><br/>';

echo 'Размер превьюшек(пример 30*30):<br/><input name="prev_size" value="'.$set['prev_size'].'" emptyok="false"/><br/>';

echo 'Рублей за 1мб загруженый в обмен:<br/><input name="rur_1mb" value="'.$set['rur_1mb'].'" emptyok="false"/><br/>';

echo 'Топ юзеров-файлов:<br/><input name="top_num" value="'.$set['top_num'].'" emptyok="false"/><br/>';

echo 'макс размер в мб:<br/><input name="fo_size" value="'.$set['fo_size'].'" emptyok="false"/><br/>';

echo 'Сколько файл считается новым:<br /><input name="fo_day_new" value="'.$set['fo_day_new'].'" emptyok="false"/><br/>';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="marker" value="$marker"/>
<postfield name="path" value="$path"/>
<postfield name="text_marker" value="$text_marker"/>
<postfield name="prev_size" value="$prev_size"/>
<postfield name="rur_1mb" value="$rur_1mb"/>
<postfield name="top_num" value="$top_num"/>
<postfield name="fo_size" value="$fo_size"/>
<postfield name="fo_day_new" value="$fo_day_new"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br/><input type="submit" class="ibutton" value="Сохранить"/></form><br/><br/>';
}
}else{
$marker= check($_POST['marker']);
$path= check($_POST['path']);
$text_marker= check($_POST['text_marker']);
$prev_size= check($_POST['prev_size']);
$rur_1mb= check($_POST['rur_1mb']);
$top_num= check($_POST['top_num']);
$fo_size= check($_POST['fo_size']);
$fo_day_new= check($_POST['fo_day_new']);


if($marker != $set['marker']){ $me .= ' <b>Маркер обменника:</b>'.$marker.'<br/>';}

if($path != $set['path']){ $me .= ' <b>Маркер обменника:</b>'.$path.'<br/>';}

if($text_marker != $set['text_marker']){ $me .= ' <b>Маркер обменника:</b>'.$text_marker.'<br/>';}

if($prev_size != $set['prev_size']){ $me .= ' <b>Размер превьюшек:</b>'.$prev_size.'<br/>';}

if($rur_1mb != $set['rur_1mb']){ $me .= ' <b>цена за мб:</b>'.$rur_1mb.'<br/>';}

if($top_num != $set['top_num']){ $me .= ' <b>топ юзер/файл:</b>'.$top_num.'<br/>';}

if($fo_size != $set['fo_size']){ $me .= ' <b>Макс размер к выгрузке  в мб:</b>'.$fo_size.'<br/>';}

if($fo_day_new != $set['fo_day_new']){ $me .= ' <b>колько файл считается новым:</b>'.$fo_day_new.'<br/>';}

if($me != ''){
	$messs = ''.$user['user'].' сменил(а) настройки в разделе Настройки чата>>Файлообменник:<br/>'.$me.'';
	$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('edit_admin','$messs','$time')");
}

if($db->sql_query('UPDATE `setting` SET `marker` = "'.$marker.'", `text_marker` = "'.$text_marker.'", `prev_size` = "'.$prev_size.'", `rur_1mb` = "'.$rur_1mb.'", `top_num` = "'.$top_num.'", `fo_size` = 
"'.$fo_size.'", `fo_day_new` = "'.$fo_day_new.'" WHERE `ids` = "1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}
break;

case 'group':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';


echo 'Посты для создания группы:<br/><input name="p_add_gr" value="'.$set['p_add_gr'].'" emptyok="false"/><br/>';
 
echo 'Вес лого:<br/><input name="s_gr_logo" value="'.$set['s_gr_logo'].'" emptyok="false"/><br/>';

echo 'Высота лого (отображение):<br/><input name="w_logo_gr" value="'.$set['w_logo_gr'].'" emptyok="false"/><br/>';

echo 'Ширина лого (отображение):<br/><input name="h_logo_gr" value="'.$set['h_logo_gr'].'" emptyok="false"/><br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="p_add_gr" value="$p_add_gr"/>
<postfield name="s_gr_logo" value="$s_gr_logo"/>
<postfield name="w_logo_gr" value="$w_logo_gr"/>
<postfield name="h_logo_gr" value="$h_logo_gr"/></go></anchor>';
echo '<br/><br/>';
}else{
echo '<br/><input type="submit" class="ibutton" value="Сохранить"/></form><br/><br/>';
}
}else{
$p_add_gr= check($_POST['p_add_gr']);
$s_gr_logo= check($_POST['s_gr_logo']);
$w_logo_gr= check($_POST['w_logo_gr']);
$h_logo_gr= check($_POST['h_logo_gr']);

if($p_add_gr != $set['p_add_gr']){ $me .= ' <b>Посты для создания группы:</b>'.$p_add_gr.'<br/>';}
if($s_gr_logo != $set['s_gr_logo']){ $me .= ' <b>Вес лого:</b>'.$s_gr_logo.'<br/>';}
if($tw_logo_gr != $set['w_logo_gr']){ $me .= ' <b>Высота лого (отображение):</b>'.$w_logo_gr.'<br/>';}
if($h_logo_gr != $set['h_logo_gr']){ $me .= ' <b>Ширина лого (отображение):</b>'.$h_logo_gr.'<br/>';}
if($me != ''){
	$messs = ''.$user['user'].' сменил(а) настройки в разделе Настройки чата>>Группы:<br/>'.$me.'';
	$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('edit_admin','$messs','$time')");
}

if($db->sql_query('UPDATE `setting` SET `p_add_gr` = "'.$p_add_gr.'", `s_gr_logo` = "'.$s_gr_logo.'", `w_logo_gr` = "'.$w_logo_gr.'", `h_logo_gr` = "'.$h_logo_gr.'" WHERE `ids` = "1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}

break;



// Смайлы чата
case 'smiles':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<b>Смайлы чата</b><br />';
echo 'Максимальный размер загружаеммого файла:<br /><input name="max_size_sm" value="'.$set['max_size_sm'].'" emptyok="false"/>kb<br/><dt></dt>';

echo '<b>Доступ к управлению смайлами</b><br/>';
echo 'допустимый Level для управления смайлами :<br/><input name="level_sm" value="'.$set['level_sm'].'" emptyok="false"/>Level<br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="max_size_sm" value="$max_size_sm"/>
<postfield name="level_sm" value="$level_sm"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$max_size_sm= check(intval($_POST['max_size_sm']));
$level_sm= check(intval($_POST['level_sm']));
if($db->sql_query('UPDATE `setting` SET `max_size_sm` = "'.$max_size_sm.'", `level_sm` = "'.$level_sm.'"  WHERE `ids` = "1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}

break;
case 'suic':
if (empty($act)){
if ($ver!='wml')echo '<form action="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo 'Суицид<br/>
<select name="suicid">';
if($set['suicid'] == 0)echo '<option value="0">Отключен</option>';
else if($set['suicid'] == 1)echo '<option value="1">Включен</option>';
echo '<option value="0">Отключен</option>
<option value="1">Включен</option></select><br/>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="sets?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="suicid" value="suicid"/>
</go></anchor>';
echo '<br/><br/>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br/>';
echo '<dt></dt>';
}
}else{
$suicid= check($_POST['suicid']);


if($suicid!= $set['suicid']){ $me .= ' <b>Суицмд:</b>'.$suicid.'<br/>';}
 

if($db->sql_query('UPDATE `setting` SET `suicid` = "'.$suicid.'"  WHERE `ids` = "1"'))
{
header ('Location: sets?i=1&'.SID);  exit;
}else{
header ('Location: sets?i=2&'.SID);  exit;
}
}
break;

case 'logoin':

if (empty($act)){

if ($_GET['err']==1)echo '<b>Недопустимое расширение файла!</b><br/>';
if ($_GET['err']==2)echo '<b>Размер файла не должен превышать '.$set['s_in_logo'].' кб.</b><br/>';
if ($_GET['ok'] == del) echo '<b>Логотип успешно удален.</b><br/>';

if ($_GET['act'] == del) {
exit;
}


if (!empty($set['logoin'])) {
echo '<img src="'.H.$set['logoin'].'" alt="logo"/><br/>';
}

echo 'Размер загружаемого лого<br/>не должен привышать '.$set['s_in_logo'].' кб.<br/>Форматы: gif, jpg, jpeg, png, bmp.<br/>';


echo '<form ENCTYPE="multipart/form-data" action="?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo '<b>Прикрепить:</b><br/>';
echo '<INPUT NAME="file" TYPE="file" SIZE="20"><br/>
<input type="submit" class="ibutton"  value="Отправить">
</form><br/>';

}else{

if(!isset($_FILES['file'])) $err = "<b>Вы не указали файл!</b><br/>";

$pictures = array('.gif', '.jpg', '.jpeg', '.bmp', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
$imageinfo = getimagesize($_FILES['file']['tmp_name']);
if($imageinfo['mime'] != 'image/gif' && $imageinfo['mime'] != 'image/jpeg' && $imageinfo["mime"] !='image/png') 
{
	{header ('Location: ?mod='.$mod.'&err=1&'.SID);exit;}
	exit;
}

$fnames=$_FILES['file']['name']; //имя
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")){header ('Location: ?mod='.$mod.'&err=1&'.SID);exit;}

if(!in_array($ext, $pictures)){header ('Location: ?mod='.$mod.'&err=1&'.SID);exit;}
if($_FILES['file']['size'] > (1024 * $set['s_in_logo'])) {header ('Location: ?mod='.$mod.'&err=2&'.SID);exit;}

$logo = "files/logo/".logo.$ext."";

unlink (H.$set['logoin'].'');
@copy($_FILES['file']['tmp_name'], H.$logo);
@chmod(H.basename($logo), 0644);
@$db->sql_query ("Update setting set logoin='".$logo."'");
echo '<b>Логотип успешно загружен!</b>';

}
break;

}

echo '<br/>';
if($mod)echo gb.'<a href="sets">Настройки чата</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>